Bug 231935 - libtool should be noarch
libtool should be noarch
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libtool (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-12 23:08 EDT by Peter Gordon
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 07:21:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Gordon 2007-03-12 23:08:03 EDT
Description of problem:
libtool does not currently include any architecture-specific files, and thus
should be noarch to avoid multilib issues with file ownership.

[peter@tuxhugs ~]$ rpm -ql libtool | xargs file
/usr/bin/libtool:                        Bourne shell script text executable
/usr/bin/libtoolize:                     Bourne shell script text executable
/usr/share/aclocal/libtool.m4:           ASCII English text, with very long lines
/usr/share/aclocal/ltdl.m4:              ASCII English text
/usr/share/doc/libtool-1.5.22:           directory
/usr/share/doc/libtool-1.5.22/AUTHORS:   ASCII English text
/usr/share/doc/libtool-1.5.22/COPYING:   ASCII English text
/usr/share/doc/libtool-1.5.22/ChangeLog: UTF-8 Unicode English text
/usr/share/doc/libtool-1.5.22/NEWS:      ASCII English text
/usr/share/doc/libtool-1.5.22/README:    ASCII English text
/usr/share/doc/libtool-1.5.22/THANKS:    UTF-8 Unicode English text
/usr/share/doc/libtool-1.5.22/TODO:      ASCII English text
/usr/share/info/libtool.info.gz:         gzip compressed data, from Unix, max
compression
/usr/share/libtool:                      directory
/usr/share/libtool/config.guess:         Bourne shell script text executable
/usr/share/libtool/config.sub:           Bourne shell script text executable
/usr/share/libtool/install-sh:           Bourne shell script text executable
/usr/share/libtool/libltdl:              directory
/usr/share/libtool/libltdl/COPYING.LIB:  ASCII English text
/usr/share/libtool/libltdl/Makefile.am:  ASCII text
/usr/share/libtool/libltdl/Makefile.in:  ASCII English text
/usr/share/libtool/libltdl/README:       ASCII English text
/usr/share/libtool/libltdl/acinclude.m4: ASCII English text, with very long lines
/usr/share/libtool/libltdl/aclocal.m4:   ASCII English text
/usr/share/libtool/libltdl/config-h.in:  ASCII C program text
/usr/share/libtool/libltdl/config.guess: Bourne shell script text executable
/usr/share/libtool/libltdl/config.sub:   Bourne shell script text executable
/usr/share/libtool/libltdl/configure:    Bourne shell script text executable
/usr/share/libtool/libltdl/configure.ac: ASCII English text
/usr/share/libtool/libltdl/install-sh:   Bourne shell script text executable
/usr/share/libtool/libltdl/ltdl.c:       ASCII C program text
/usr/share/libtool/libltdl/ltdl.h:       ASCII C program text
/usr/share/libtool/libltdl/ltmain.sh:    ASCII English text
/usr/share/libtool/libltdl/missing:      Bourne shell script text executable
/usr/share/libtool/ltmain.sh:            ASCII English text


Version-Release number of selected component (if applicable):
libtool-1.5.22-10
Comment 1 Karsten Hopp 2007-03-13 07:21:39 EDT
The scripts contain arch specific stuff, p.e. LTCFLAGS or sys_lib_search_path_spec
Comment 2 Peter Gordon 2007-03-13 16:04:34 EDT
Ah; I hadn't noticed that.

Thanks for the explanation. then. And sorry about the bug spam! 

Note You need to log in before you can comment on or make changes to this bug.